<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8"> 
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Demonstration</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="css/custom.css" >
</head>
  <body>
  <header>  
    <nav class="navbar navbar-expand-md navbar-light border-bottom p-3 ">
    <a href="javascript:openNav()" class="d-md-none" ><span data-feather="menu"></span></a>
    <h6 class="float-left my-0 mr-md-auto font-weight-bold logo text-left">Demonstration</h6>
    <span class="float-right small text-success" style="position:absolute;top:0;right:15px" >Logged in as :mthaha@gmail.com</span>
    <h6 class="my-0 font-weight-bold logo">Administrative Area</h6>
    </nav>
  </header>  



    <div class="container-fluid ">
      <div class="row">
         <nav class="col-md-3 col-lg-2  d-md-block bg-light  sidenav" id="mySidenav" style="padding-left:0;padding-right:0" >
        
         <a href="javascript:void(0)" class="closebtn d-md-none" onclick="closeNav()">&times;</a>
          <div>
            <ul class="nav flex-column">
              <li class="nav-item">
                <a class="nav-link " href="dashboard.html">
                  <span data-feather="home"></span>
                  Dashboard <span class="sr-only">(current)</span>
                </a>
              </li>
              <li class="nav-item">
                <a class="nav-link active" href="products.html">
                  <span data-feather="user"></span>
                  Products Management
                </a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">
                  <span data-feather="file"></span>
                  Stock Management
                </a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">
                  <span data-feather="share"></span>
                  Distributor Management               </a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">
                  <span data-feather="layers"></span>
                  Invoice Management
                </a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">
                  <span data-feather="bar-chart-2"></span>
                  Reports
                </a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">
                  <span data-feather="lock"></span>
                  Change Password
                </a>
              </li>
                           
             <li class="nav-item">
                <a class="nav-link" href="login.html">
                  <span data-feather="log-out"></span>
                  Logout
                </a>
              </li>
            </ul>
           
          </div>
        </nav>

        <main role="main" id="main" class="col-md-9 ml-sm-auto col-lg-10 px-4">
          
          <nav aria-label="breadcrumb" >
          <ol class="breadcrumb mt-3">
            <li class="breadcrumb-item"><a href="#">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Products Management</li>
          </ol>
        </nav>
          
          <h5>Products Listing 
            <a  href="newproduct.html"><img class="float-right" src="images/btnAdd.gif" border="0" /></a>
          </h5>
          
          
        <div class="table-responsive" id="stage">
            
        </div>
                  
          
        </main>
      </div>
    </div>
<footer class="text-center">
              <p>© Copyright 2018  - All rights reserved</p>
 </footer>  
  
    
    <!-- Icons -->
    <script src="https://unpkg.com/feather-icons/dist/feather.min.js"></script>
    <script>
      feather.replace()
    </script>

    <script>
   
    document.getElementById("mySidenav").style.display = "none";
     /* Set the width of the side navigation to 250px */
    function openNav() {
      document.getElementById("mySidenav").style.width = "250px";
      document.getElementById("mySidenav").style.display = "block";
    }

    /* Set the width of the side navigation to 0 */
    function closeNav() {
        document.getElementById("mySidenav").style.width = "0";
    }  
    </script>

  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>

  <script type = "text/javascript" language = "javascript">
         $(document).ready(function() {
               $.getJSON('http://localhost:8000/api/products', function(jd) {
                    $tablestring = '<table id="list" class="table table-striped table-sm table-bordered">';
                    $tablestring += '<tr><th>#</th><th>Name</th><th>Image</th><th>Price</th><th>Category</th><th class="text-center">Edit</th><th class="text-center">Delete</th></tr>';
                    for (i=0;i<jd.length;i++) {
                        $tablestring += '<tr id="'+jd[i].id+'"><td><a href="detailview.html?id='+jd[i].id +'">'+(i+1)+'</a><td> ' + jd[i].name + '</td>';
                        $tablestring += '<td> ' + jd[i].image + '</td>';
                        $tablestring += '<td> ' + jd[i].price + '</td>';
                        $tablestring += '<td> ' + jd[i].category_name + '</td>';
                        $tablestring += '<td class="text-center"><a href="updateproduct.html?id='+jd[i].id +'"> <img src="images/edit.png" /></a></td>';
                        $tablestring += '<td class="text-center"><a href="javascript:deleteProduct('+jd[i].id +')"><img src="images/delete.png" /></a></td></tr>';
                    }
                    $tablestring += '</table>';
                   $('#stage').html($tablestring);
                   
               });
         });


   
   function deleteProduct(id){
       
       if(confirm("Are you sure ? ")){
                $.ajax({  
                url: 'http://localhost:8000/api/products/'+id,  
                type: 'DELETE',  
                dataType: 'json',  
                data: '',  
                success: function (data, textStatus, xhr) {  
                    alert("Deleted successfully ! ")
                    $('table#list tr#'+id).remove();
                },  
                error: function (xhr, textStatus, errorThrown) {  
                    console.log('Error in Operation'); 
                   
                }  
                });
        }      
            
   }
   
  </script>

  
  </body>
</html>
